package be.iminds.ilabt.jfed.experimenter_gui.editor.events;

import be.iminds.ilabt.jfed.experimenter_gui.editor.ModelRspecEditor;
import be.iminds.ilabt.jfed.rspec.model.javafx_impl.FXRspecLink;
import javafx.stage.Window;

/**
 * User: twalcari
 * Date: 5/22/2015
 * Time: 09:53
 */
public class ShowLinkPropertiesEvent extends ExperimentEditorEvent {

    private final FXRspecLink link;

    public ShowLinkPropertiesEvent(FXRspecLink link, ModelRspecEditor modelRspecEditor, Window parentWindow) {
        super(modelRspecEditor, parentWindow);
        this.link = link;
    }

    public FXRspecLink getLink() {
        return link;
    }
}
